libetonyek::KEY2Dictionary Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libetonyek::KEY2Dictionary Struct Reference

A dictionary of all referenceable entities in the presentation. More...

`#include <KEY2Dictionary.h>`

Inheritance diagram for libetonyek::KEY2Dictionary:

## Public Member Functions
| KEY2Dictionary ()
Public Member Functions inherited from libetonyek::IWORKDictionary
| IWORKDictionary ()

## Public Attributes
IWORKStyleMap_t | m_placeholderStyles
IWORKStyleMap_t | m_slideStyles
KEYPlaceholderMap_t | m_bodyPlaceholders
KEYPlaceholderMap_t | m_titlePlaceholders
KEYLayerMap_t | m_layers
Public Attributes inherited from libetonyek::IWORKDictionary
IWORKStyleMap_t | m_cellStyles
IWORKStyleMap_t | m_characterStyles
IWORKStyleMap_t | m_graphicStyles
IWORKStyleMap_t | m_layoutStyles
IWORKListStyleMap_t | m_listStyles
IWORKStyleMap_t | m_paragraphStyles
IWORKStyleMap_t | m_tabularStyles
IWORKStyleMap_t | m_vectorStyles
IWORKStylesheetMap_t | m_stylesheets
IWORKPathMap_t | m_beziers
IWORKDataMap_t | m_data
IWORKMediaContentMap_t | m_binaries
IWORKMediaContentMap_t | m_unfiltereds
IWORKMediaContentMap_t | m_filteredImages
IWORKImageMap_t | m_images
IWORKTabStopsMap_t | m_tabs
IWORKFilterDescriptorMap_t | m_filterDescriptors
IWORKListLabelTypeInfoMap_t | m_listLabelTypeInfos
IWORKListLabelTypeInfoMap_t | m_textLabels
IWORKListLabelGeometryMap_t | m_listLabelGeometries
boost::unordered_map< ID_t, std::deque< double > > | m_doubleArrays

## Detailed Description

A dictionary of all referenceable entities in the presentation.

In other words, all entities that might be included through a -ref element in the format. This is purely a file format concept; all that matters when an entity is inserted by a reference is that there has been an entity of the same type and with the same content inserted previously (or at least that is how I understand it. I might be wrong about it). That means we need to know all entities in the whole presentation to resolve references.

Note
  The dictionary contains (among other things) all master styles, therefore we do not handle them separately. (We might do that in the future, to ensure correctness of the format.)

## Constructor & Destructor Documentation

## ◆ KEY2Dictionary()

libetonyek::KEY2Dictionary::KEY2Dictionary | ( |  | ) |

## Member Data Documentation

## ◆ m_bodyPlaceholders

KEYPlaceholderMap_t libetonyek::KEY2Dictionary::m_bodyPlaceholders

## ◆ m_layers

KEYLayerMap_t libetonyek::KEY2Dictionary::m_layers

## ◆ m_placeholderStyles

IWORKStyleMap_t libetonyek::KEY2Dictionary::m_placeholderStyles

## ◆ m_slideStyles

IWORKStyleMap_t libetonyek::KEY2Dictionary::m_slideStyles

## ◆ m_titlePlaceholders

KEYPlaceholderMap_t libetonyek::KEY2Dictionary::m_titlePlaceholders

The documentation for this struct was generated from the following files:

- KEY2Dictionary.h
- KEY2Dictionary.cpp